SDL_HapticConstant Struct Reference

A structure containing a template for a Constant effect. More...

`#include <SDL_haptic.h>`

Collaboration diagram for SDL_HapticConstant:
[legend]

## Data Fields

Uint16 | type
SDL_HapticDirection | direction
Uint32 | length
Uint16 | delay
Uint16 | button
Uint16 | interval
Sint16 | level
Uint16 | attack_length
Uint16 | attack_level
Uint16 | fade_length
Uint16 | fade_level

## Detailed Description

A structure containing a template for a Constant effect.

This struct is exclusively for the SDL_HAPTIC_CONSTANT effect.

A constant effect applies a constant force in the specified direction to the joystick.

See also
  SDL_HAPTIC_CONSTANT
  SDL_HapticEffect

Definition at line 457 of file SDL_haptic.h.

## Field Documentation

## attack_length

Uint16 SDL_HapticConstant::attack_length

Duration of the attack.

Definition at line 475 of file SDL_haptic.h.

Referenced by main().

## attack_level

Uint16 SDL_HapticConstant::attack_level

Level at the start of the attack.

Definition at line 476 of file SDL_haptic.h.

## button

Uint16 SDL_HapticConstant::button

Button that triggers the effect.

Definition at line 468 of file SDL_haptic.h.

## delay

Uint16 SDL_HapticConstant::delay

Delay before starting the effect.

Definition at line 465 of file SDL_haptic.h.

## direction

SDL_HapticDirection SDL_HapticConstant::direction

Direction of the effect.

Definition at line 461 of file SDL_haptic.h.

Referenced by main().

## fade_length

Uint16 SDL_HapticConstant::fade_length

Duration of the fade.

Definition at line 477 of file SDL_haptic.h.

Referenced by main().

## fade_level

Uint16 SDL_HapticConstant::fade_level

Level at the end of the fade.

Definition at line 478 of file SDL_haptic.h.

## interval

Uint16 SDL_HapticConstant::interval

How soon it can be triggered again after button.

Definition at line 469 of file SDL_haptic.h.

## length

Uint32 SDL_HapticConstant::length

Duration of the effect.

Definition at line 464 of file SDL_haptic.h.

Referenced by main().

## level

Sint16 SDL_HapticConstant::level

Strength of the constant effect.

Definition at line 472 of file SDL_haptic.h.

Referenced by main().

## type

Uint16 SDL_HapticConstant::type

SDL_HAPTIC_CONSTANT

Definition at line 460 of file SDL_haptic.h.

The documentation for this struct was generated from the following file:

- include/SDL_haptic.h